php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #8497 (8)Exec format error: from apache error_log
Submitted: 2000-12-31 01:09 UTC Modified: 2001-05-27 22:18 UTC
From: mawilliford at yahoo dot com Assigned:
Status: Closed Package: Apache related
PHP Version: 4.0.4 OS: hpux 11.0
Private report: No CVE-ID: None
 [2000-12-31 01:09 UTC] mawilliford at yahoo dot com
Everything seems to be comiled and included, but I can't get any php scripts to work.  I get a 500 error, with the following in my logs/error_log

[Sun Dec 31 00:36:54 2000] [error] (8)Exec format error: exec of /usr/local/apac
he/cgi-bin/php/phptest.php failed
[Sun Dec 31 00:36:54 2000] [error] [client 172.17.4.15] Premature end of script
headers: /usr/local/apache/cgi-bin/php/phptest.php             


I have compiled apache to support the static configuration of php-4.0.4 following the instructions in the php-4.0.4 install file. 
 
php configure:
./configure  --with-oci8=/u1/app/oracle/product/816 --with-apache=/usr/local/apache --enable-track-vars       

apache configure:
./configure \
"--with-layout=Apache" \
"--prefix=/usr/local/apache" \
"--activate-module=src/modules/php4/libphp4.a" \     

Output from httpd -l
root@alamo:/usr/local/apache/bin#./httpd -l
Compiled-in modules:
  http_core.c
  mod_env.c
  mod_log_config.c
  mod_mime.c
  mod_negotiation.c
  mod_status.c
  mod_include.c
  mod_autoindex.c
  mod_dir.c
  mod_cgi.c
  mod_asis.c
  mod_imap.c
  mod_actions.c
  mod_userdir.c
  mod_alias.c
  mod_access.c
  mod_auth.c
  mod_setenvif.c
  mod_php4.c
suexec: disabled; invalid wrapper/usr/local/apache/bin/suexec             

the php.ini file is default, in the /usr/local/lib dir.

I don't think I am getting a core dump (can't find one).
I suspected that it could be a file perm issue, so I made a lot of files 777, like my phptest.php (temporary).
I also made sure that apache could run simple .cgi programs, it can.

It is probably a simple problem with my config, but since I can't find a thing wrong, perhaps it's a bug.




Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-05-27 22:18 UTC] sniper@php.net
Please read the INSTALL file and make sure you have
followed it EXACTLY as it says.

Also, try PHP 4.0.5 and if you still get problems,
ask first on php-install@lists.php.net before sending
any bug reports. As this is most likely a configure problem.

--Jani

 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Sat Jul 02 06:05:44 2022 UTC